Loading...
Searching...
No Matches
robottestingframework::WebProgressListener Class Reference

class WebProgressListener listens to any messages reported by the tests during the test run, formates them sends them to the web clients. More...

`#include <robottestingframework/WebProgressListener.h>`

Inheritance diagram for robottestingframework::WebProgressListener:
[legend]

## Public Member Functions

| WebProgressListener (unsigned int port=8080, bool verbose=false)
| WebProgressListener constructor.
| ~WebProgressListener () override
| WebProgressListener destructor.
void | addReport (const Test *test, TestMessage msg) override
| This is called to report any arbitrary message from tests.
void | addError (const Test *test, TestMessage msg) override
| This is called when an error occurred during test run.
void | addFailure (const Test *test, TestMessage msg) override
| This is called when a failure occurred during test run.
void | startTest (const Test *test) override
| This is called when a Test is started.
void | endTest (const Test *test) override
| This is called when a Test is finished.
void | startTestSuite (const Test *test) override
| This is called when a TestSuite is started.
void | endTestSuite (const Test *test) override
| This is called when a TestSuite is finished.
void | startTestRunner () override
| This is called when the TestRunner is started.
void | endTestRunner () override
| This is called when the TestRunner is finished.
Public Member Functions inherited from robottestingframework::TestListener
| TestListener ()=default
| TestListener constructor.
virtual | ~TestListener ()=default
| TestListener destructor.

## Private Attributes

void * | implement

## Detailed Description

class WebProgressListener listens to any messages reported by the tests during the test run, formates them sends them to the web clients.

Examples
  simple_web.cpp.

Definition at line 36 of file WebProgressListener.h.

## Constructor & Destructor Documentation

## WebProgressListener()

robottestingframework::WebProgressListener::WebProgressListener | ( | unsigned int | port = 8080,
|  | bool | verbose = false )

WebProgressListener constructor.

Parameters

  port | the server port number. default is 8080
  verbose | enables the verbose mode. If `true`, the source file and the line number where the messages are issued by the tests will be written to the standard output. The verbose mode is disabled by default.

## ~WebProgressListener()

robottestingframework::WebProgressListener::~WebProgressListener | ( |  | ) |

override

WebProgressListener destructor.

## Member Function Documentation

## addError()

void robottestingframework::WebProgressListener::addError | ( | const Test * | test,
|  | TestMessage | msg )

override virtual

This is called when an error occurred during test run.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding error message

Reimplemented from robottestingframework::TestListener.

## addFailure()

void robottestingframework::WebProgressListener::addFailure | ( | const Test * | test,
|  | TestMessage | msg )

override virtual

This is called when a failure occurred during test run.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding failure message

Reimplemented from robottestingframework::TestListener.

## addReport()

void robottestingframework::WebProgressListener::addReport | ( | const Test * | test,
|  | TestMessage | msg )

override virtual

This is called to report any arbitrary message from tests.

Parameters

  test | pointer to the corresponding test
  msg | correspoinding error message

Reimplemented from robottestingframework::TestListener.

## endTest()

void robottestingframework::WebProgressListener::endTest | ( | const Test * | test | ) |

override virtual

This is called when a Test is finished.

Parameters

  test | pointer to the corresponding test

Reimplemented from robottestingframework::TestListener.

## endTestRunner()

void robottestingframework::WebProgressListener::endTestRunner | ( |  | ) |

override virtual

This is called when the TestRunner is finished.

Reimplemented from robottestingframework::TestListener.

## endTestSuite()

void robottestingframework::WebProgressListener::endTestSuite | ( | const Test * | test | ) |

override virtual

This is called when a TestSuite is finished.

Parameters

  test | pointer to the corresponding test

Reimplemented from robottestingframework::TestListener.

## startTest()

void robottestingframework::WebProgressListener::startTest | ( | const Test * | test | ) |

override virtual

This is called when a Test is started.

Parameters

  test | pointer to the corresponding test

Reimplemented from robottestingframework::TestListener.

## startTestRunner()

void robottestingframework::WebProgressListener::startTestRunner | ( |  | ) |

override virtual

This is called when the TestRunner is started.

Reimplemented from robottestingframework::TestListener.

## startTestSuite()

void robottestingframework::WebProgressListener::startTestSuite | ( | const Test * | test | ) |

override virtual

This is called when a TestSuite is started.

Parameters

  test | pointer to the corresponding test

Reimplemented from robottestingframework::TestListener.

## Member Data Documentation

## implement

void* robottestingframework::WebProgressListener::implement

private

Definition at line 111 of file WebProgressListener.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/WebProgressListener.h